# Generated from powerhome-activeldap-3.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name powerhome-activeldap

Name: rubygem-%{gem_name}
Version: 3.2.3
Release: 1%{?dist}
Summary: ActiveLdap is a object-oriented API to LDAP
License: Ruby's or GPLv2 or later
URL: http://ruby-activeldap.rubyforge.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(test-unit-notify)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(RedCloth)
BuildArch: noarch

%description
'ActiveLdap' is a ruby library which provides a clean
objected oriented interface to the Ruby/LDAP library.  It was inspired
by ActiveRecord. This is not nearly as clean or as flexible as
ActiveRecord, but it is still trivial to define new objects and manipulate
them with minimal difficulty.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/COPYING
%license %{gem_instdir}/LICENSE
%{gem_instdir}/TODO
%{gem_instdir}/benchmark
%{gem_libdir}
%{gem_instdir}/po
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.textile
%doc %{gem_instdir}/doc
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 3.2.3-1
- Initial package
